/*
 * @Author: 倚楼听风雨 18408246387@163.com
 * @Date: 2023-01-09 16:01:45
 * @LastEditors: 倚楼听风雨 18408246387@163.com
 * @LastEditTime: 2023-03-08 14:12:48
 * @FilePath: \log-server-web\src\api\rentComputer.js
 * @Description: 这是默认设置,请设置`customMade`, 打开koroFileHeader查看配置 进行设置: https://github.com/OBKoro1/koro1FileHeader/wiki/%E9%85%8D%E7%BD%AE
 */
import service from "@/utils/request";

export const getAllTaskSimple = (data) => {
  return service({
    url: "/fileManager/getAllTaskSimple",
    method: "post",
    data,
  });
};
export const addFileFolder = (data) => {
  return service({
    url: "/fileManager/addFileFolder",
    method: "post",
    data,
  });
};
export const getFolderFileList = (data) => {
  return service({
    url: "/fileManager/getFolderFileList",
    method: "post",
    data,
  });
};
export const getQiniuToken = (data) => {
  return service({
    url: "/fileManager/getQiniuToken",
    method: "post",
    data,
  });
};
export const getAllFileType = (data) => {
  return service({
    url: "/fileManager/getAllFileType",
    method: "post",
    data,
  });
};
export const selectFolderMsg = (data) => {
  return service({
    url: "/fileManager/selectFolderMsg",
    method: "post",
    data,
  });
};
export const queryVersionByType = (data) => {
  return service({
    url: "/fileManager/queryVersionByType",
    method: "post",
    data,
  });
};
export const addQiniuFile = (data) => {
  return service({
    url: "/fileManager/addQiniuFile",
    method: "post",
    data,
  });
};
export const deleteQiniuFile = (data) => {
  return service({
    url: "/fileManager/deleteQiniuFile",
    method: "post",
    data,
  });
};
export const deleteQiniuFileAndRecord = (data) => {
  return service({
    url: "/fileManager/deleteQiniuFileAndRecord",
    method: "post",
    data,
  });
};
export const renameQiniuFileAndRecord = (data) => {
  return service({
    url: "/fileManager/renameQiniuFileAndRecord",
    method: "post",
    data,
  });
};
export const queryFolder = (data) => {
  return service({
    url: "/fileManager/queryFolder",
    method: "post",
    data,
  });
};
